Subject: [bug#51121] [PATCH] gnu: Add python-pyproject2setuppy.

From: jgart <[email-masked]>
Date: Thu, 7 Jul 2022 19:17:04 -0500

On Thu, 07 Jul 2022 14:03:42 -0400 Maxim Cournoyer <[email-masked]> wrote:
> Hi,
> 
> jgart <[email-masked]> writes:
> 
> > Hi this is a WIP.
> >
> > I'll send another patch soon once I figure it out.
> >
> > Tests are currently failing:
> >
> > phase `wrap' succeeded after 0.0 seconds
> > starting phase `check'
> > ============================= test session starts ==============================
> > platform linux -- Python 3.8.2, pytest-5.3.5, py-1.8.1, pluggy-0.13.1
> > rootdir: /tmp/guix-build-python-pyproject2setuppy-20.drv-0/source, inifile: setup.cfg
> > plugins: hypothesis-5.4.1, forked-1.3.0
> > collected 205 items
> >
> > tests/test_common.py ...                                                 [  1%]
> > tests/test_flit.py ...s...s...s...s...s...s...s...s...s...s...s...s...s  [ 26%]
> > tests/test_flit_pep621.py ...s...s...s...s...s...s...s...s...s...s...s.. [ 49%]
> > .s...s...s                                                               [ 54%]
> > tests/test_main.py ......                                                [ 57%]
> > tests/test_poetry.py ...s...s...s...s...s...s...s...s...s...s...s...s... [ 81%]
> > s...s...s...s...s...s...s...s                                            [ 96%]
> > tests/test_setuptools.py ...F...F                                        [100%]
> 
> We haven't gotten an update in some time.
> 
> Should we close this?
> 
> Thank you.
> 
> Maxim

Sure, feel free to.

I'll get back to it when I need it or maybe someone else will pick it up.